Subject: Re: pull-request: wireless-next-2024-01-25

From: Kalle Valo <[email-masked]>
Date: Fri, 26 Jan 2024 12:05:17 +0200

Arend Van Spriel <[email-masked]> writes:

> On January 26, 2024 7:01:18 AM Kalle Valo <[email-masked]> wrote:
>
>> Jakub Kicinski <[email-masked]> writes:
>>
>>> On Thu, 25 Jan 2024 10:40:30 +0000 (UTC) Kalle Valo wrote:
>>>> The first "new features" pull request for v6.9. We have only driver
>>>> changes this time and most of them are for Realtek drivers. Really
>>>> nice to see activity in Broadcom drivers again.
>>>
>>> minor thing for a follow up:
>>>
>>> drivers/net/wireless/broadcom/brcm80211/brcmfmac/fwil.c:432:49:
>>> warning: no newline at end of file
>>
>> Oh, sorry about that. Any tips how to detect this?
>
> I thought checkpatch would signal that or is it a sparse warning.

I don't run checkpatch except for ath10k/ath11k/ath12k, too much noise.
I ended up adding this to my script:

for file in $(git ls-tree -r --name-only HEAD drivers/net/wireless/ net/wireless/ net/mac80211/); do if [ "$(tail -c 1 $file | cat -E)" != "$" ]; then echo $file: no newline at end of file; fi; done

> Anyway, I can fix it.

Thanks!

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches